Subject: Re: [Simple] (Performance) Internal WG Review: Recharter of SIP for Instant Messaging and Presence Leveraging Extensions (simple)

From: Avshalom Houri <[email-masked]>
Date: Wed, 31 Jan 2007 16:05:25 +0200

X-Mailmstant message preparation using SIP to 
IESG for publication as a Proposed Standard
Done Submission of XCAP usage for manipulation of presence document
content
Done Submission of XCAP usage for setting presence authorization to IESG 
for publication as Proposed Standard
Done Submission of Filtering mechanisms to IESG for publication as a
Proposed Standard
Done Submission of instant messaging session draft to IESG for publication 
as a Proposed Standard
Done Submission of instant messaging session relay drafts to IESG for
publication as Proposed Standards
Done Submission of Partial Notification mechanism to IESG for publication 
as a Proposed Standard
Feb 2007 Submission of an Instant Message Disposition Notification
mechanism to the IESG for publication as a Proposed Standard
Feb 2007 Submission of XCAP event package to IESG or appropriate working 
group targeting publication as Proposed Standard
Feb 2007 Submission of proposed mechanisms meeting the advanced messaging 
requirements to the IESG or appropriate working group
Mar 2007 Submission of a performance and scalability analysis of the
SIMPLE presence mechanisms to the IESG for publication as Informational
Jun 2007 Submission of SIMPLE protocol annotated overview draft to IESG
for publication as Informational
Aug 2007 Submission of proposed mechanisms for initiating and managing
Instant Message group chat to the IESG for publication as Proposed
Standard
Aug 2007 Conclusion of SIMPLE

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

--=_alternative 0048768CC2257274_=
Content-Type: text/html; charset="US-ASCII"

<br><tt><font size=2>Regarding:</font></tt>
<br>
<br><tt><font size=2>Mar 2007 Submission of a performance and scalability
analysis of the<br>
SIMPLE presence mechanisms to the IESG for publication as Informational</font></tt>
<br>
<br><tt><font size=2>Assuming that we will find things that need to be
improved in e.g. 3265</font></tt>
<br><tt><font size=2>what will be the mechanism for the improvements? Via
SIP WG?</font></tt>
<br><font size=2 face="sans-serif"><br>
--Avshalom<br>
</font>
<br>
<br>
<br>
<table width=100%>
<tr valign=top>
<td width=40%><font size=1 face="sans-serif"><b>IESG Secretary &lt;[email-masked]&gt;</b>
</font>
<p><font size=1 face="sans-serif">30/01/2007 23:33</font>
<td width=59%>
<table width=100%>
<tr valign=top>
<td>
<div align=right><font size=1 face="sans-serif">To</font></div>
<td><font size=1 face="sans-serif">[email-masked], [email-masked], [email-masked],
Robert Sparks &lt;[email-masked]&gt;, Hisham Khartabil &lt;[email-masked]&gt;</font>
<tr valign=top>
<td>
<div align=right><font size=1 face="sans-serif">cc</font></div>
<td>
<tr valign=top>
<td>
<div align=right><font size=1 face="sans-serif">Subject</font></div>
<td><font size=1 face="sans-serif">[Simple] Internal WG Review: Recharter
of SIP for Instant Messaging and Presence Leveraging Extensions (simple)</font></table>
<br>
<table>
<tr valign=top>
<td>
<td></table>
<br></table>
<br>
<br>
<br><tt><font size=2>A new charter for the SIP for Instant Messaging and
Presence Leveraging<br>
Extensions (simple) working group in the Real-time Applications and<br>
Infrastructure Area of the IETF is being considered. The draft charter
<br>
is provided below for your review and comment.<br>
<br>
Review time is one week.<br>
<br>
The IETF Secretariat<br>
<br>
+++<br>
<br>
SIP for Instant Messaging and Presence Leveraging Extensions (simple)<br>
======================================================================<br>
<br>
Last Modified: 2007-1-24<br>
<br>
Current Status: Active Working Group<br>
<br>
Chair(s):<br>
Robert Sparks &lt;[email-masked]&gt;<br>
Hisham Khartabil &lt;[email-masked]&gt;<br>
<br>
<br>
Real-time Applications and Infrastructure Area Director(s):<br>
Jon Peterson &lt;[email-masked]&gt;<br>
Cullen Jennings &lt;[email-masked]&gt;<br>
<br>
Real-time Applications and Infrastructure Area Advisor:<br>
Jon Peterson &lt;[email-masked]&an-Version: 2.1.5
Precedence: list
List-Id: SIP for Instant Messaging and Presence Leveraging Extensions
	<simple.ietf.org>
List-Unsubscribe: <https://www1.ietf.org/mailman/listinfo/simple>,
	<mailto:[email-masked]?subject=unsubscribe>
List-Archive: <http://www1.ietf.org/pipermail/simple>
List-Post: <mailto:[email-masked]>
List-Help: <mailto:[email-masked]?subject=help>
List-Subscribe: <https://www1.ietf.org/mailman/listinfo/simple>,
	<mailto:[email-masked]?subject=subscribe>
Content-Type: multipart/mixed; boundary="===============0618136998=="
Errors-To: [email-masked]

This is a multipart message in MIME format.
--===============0618136998==
Content-Type: multipart/alternative;
	boundary="=_alternative 004D8144C2257274_="

This is a multipart message in MIME format.
--=_alternative 004D8144C2257274_=
Content-Type: text/plain; charset="US-ASCII"

Regarding:

Mar 2007 Submission of a performance and scalability analysis of the
SIMPLE presence mechanisms to the IESG for publication as Informational

Assuming that we will find things that need to be improved in e.g. 3265
what will be the mechanism for the improvements? Via SIP WG?

--Avshalom

IESG Secretary <[email-masked]> 
30/01/2007 23:33

To
[email-masked], [email-masked], [email-masked], Robert Sparks 
<[email-masked]>, Hisham Khartabil <[email-masked]>
cc

Subject
[Simple] Internal WG Review: Recharter of SIP for Instant Messaging and 
Presence Leveraging Extensions (simple)

A new charter for the SIP for Instant Messaging and Presence Leveraging
Extensions (simple) working group in the Real-time Applications and
Infrastructure Area of the IETF is being considered. The draft charter 
is provided below for your review and comment.

Review time is one week.

The IETF Secretariat

+++

SIP for Instant Messaging and Presence Leveraging Extensions (simple)
======================================================================

Last Modified: 2007-1-24

Current Status: Active Working Group

Chair(s):
Robert Sparks <[email-masked]>
Hisham Khartabil <[email-masked]>

Real-time Applications and Infrastructure Area Director(s):
Jon Peterson <[email-masked]>
Cullen Jennings <[email-masked]>

Real-time Applications and Infrastructure Area Advisor:
Jon Peterson <[email-masked]>

Technical Advisor(s):
Jon Peterson <[email-masked]>

Mailing Lists:
General Discussion: [email-masked]
To Subscribe: [email-masked]
In Body: subscribe
Archive: http://www.ietf.org/mail-archive/web/simple/index.html

Description of Working Group:

This working group focuses on the application of the Session Initiation
Protocol (SIP, RFC 3261) to the suite of services collectively known as
instant messaging and presence (IMP). The IETF has committed to 
producing an interoperable standard for these services compliant to 
the requirements for IM outlined in RFC 2779 (including the security 
and privacy requirements there) and in the Common Presence and Instant 
Messaging (CPIM) specification, developed within the IMPP working 
group. As the most common services for which SIP is used share quite a 
bit in common with IMP, the adaptation of SIP to IMP seems a natural 
choice given the widespread support for (and relative maturity of) the
SIP standard.

This group has completed the majority of its primary goals and will 
focus on the remaining tasks documented here and concluding. Any 
proposed new work should be socialized with the chairs and AD early to 
determine if this WG is an appropriate venue.

The primary remaining work of this group will be to complete:

1. The MSRP proposed standard mechanism for transporting sessions of
messages initiated using the SIP, compliant to the requirments of RFC 
2779, CPIM and BCP 41.

2. The XCAP framework for representing and carrying configuration and
policy information in SIMPLE systems.

3. A mechanism for representing partial changes (patches) to XML
documents and extensions to the SIMPLE publication and notification 
mechanisms to convey these gt;<br>
<br>
Technical Advisor(s):<br>
Jon Peterson &lt;[email-masked]&gt;<br>
<br>
Mailing Lists:<br>
General Discussion: [email-masked]<br>
To Subscribe: [email-masked]<br>
In Body: subscribe<br>
Archive: http://www.ietf.org/mail-archive/web/simple/index.html<br>
<br>
Description of Working Group:<br>
<br>
This working group focuses on the application of the Session Initiation<br>
Protocol (SIP, RFC 3261) to the suite of services collectively known as<br>
instant messaging and presence (IMP). The IETF has committed to <br>
producing an interoperable standard for these services compliant to <br>
the requirements for IM outlined in RFC 2779 (including the security <br>
and privacy requirements there) and in the Common Presence and Instant
<br>
Messaging (CPIM) specification, developed within the IMPP working <br>
group. As the most common services for which SIP is used share quite a
<br>
bit in common with IMP, the adaptation of SIP to IMP seems a natural <br>
choice given the widespread support for (and relative maturity of) the<br>
SIP standard.<br>
<br>
This group has completed the majority of its primary goals and will <br>
focus on the remaining tasks documented here and concluding. Any <br>
proposed new work should be socialized with the chairs and AD early to
<br>
determine if this WG is an appropriate venue.<br>
<br>
The primary remaining work of this group will be to complete:<br>
<br>
1. The MSRP proposed standard mechanism for transporting sessions of<br>
messages initiated using the SIP, compliant to the requirments of RFC <br>
2779, CPIM and BCP 41.<br>
<br>
2. The XCAP framework for representing and carrying configuration and<br>
policy information in SIMPLE systems.<br>
<br>
3. A mechanism for representing partial changes (patches) to XML<br>
documents and extensions to the SIMPLE publication and notification <br>
mechanisms to convey these partial changes.<br>
<br>
4. A mechanism for initiating and managing Instant Message group chat.<br>
<br>
5. An annotated overview of the SIMPLE protocol definition documents.<br>
<br>
Any SIP extensions proposed in the course of this development will, <br>
after a last call process, be transferred to the SIP WG for <br>
consideration as formal SIP extensions.<br>
<br>
Any mechanisms created for managing Instant Message group chat are<br>
intended to provide a bridge to the conferencing protocols that will <br>
be defined in XCON. They will be limited in scope to address only <br>
simple Instant Message chat with nicknames and will not attempt<br>
to address complex conferencing concepts such as sidebars. Their <br>
design must anticipate operating in conjunction with the conferencing <br>
protocols XCON is working towards.<br>
<br>
The working group will work within the framework for presence and IM<br>
described in RFC 2778. The extensions it defines must also be <br>
compliant with the SIP processes for extensions. The group cannot <br>
modify baseline SIP behavior or define a new version of SIP for IM and
<br>
presence. If the group determines that any capabilities requiring an <br>
extension to SIP are needed, the group will seek to define such<br>
extensions within the SIP working group, and then use them here.<br>
<br>
Goals and Milestones:<br>
Done Submission of event package for presence to IESG for publication as
Proposed Standard<br>
Done Submission of watcher information drafts to IESG for publication as
Proposed Standards<br>
Done Submission of proposed event list mechanism to the SIP working group
<br>
Done Submission of requirements for event publishing to the IESG for<br>
publication as Proposed Standard<br>
Done Submission of proposed mechanism for event publishing to the SIP<br>
working group<br>
Done Submission of SIMPLE PIDF profile to IESG for publication as Proposed
Standard<br>
Done Submission of base XCAP draft to IESG for publication as Proposed<br>
Standard<br>
Done Submission of indication of instant message preparation using SIP
to IESG for publication as a Proposed Standard<br>
Done Submission of XCAP usage for manipulatipartial changes.

4. A mechanism for initiating and managing Instant Message group chat.

5. An annotated overview of the SIMPLE protocol definition documents.

Any SIP extensions proposed in the course of this development will, 
after a last call process, be transferred to the SIP WG for 
consideration as formal SIP extensions.

Any mechanisms created for managing Instant Message group chat are
intended to provide a bridge to the conferencing protocols that will 
be defined in XCON. They will be limited in scope to address only 
simple Instant Message chat with nicknames and will not attempt
to address complex conferencing concepts such as sidebars. Their 
design must anticipate operating in conjunction with the conferencing 
protocols XCON is working towards.

The working group will work within the framework for presence and IM
described in RFC 2778. The extensions it defines must also be 
compliant with the SIP processes for extensions. The group cannot 
modify baseline SIP behavior or define a new version of SIP for IM and 
presence. If the group determines that any capabilities requiring an 
extension to SIP are needed, the group will seek to define such
extensions within the SIP working group, and then use them here.

Goals and Milestones:
Done Submission of event package for presence to IESG for publication as 
Proposed Standard
Done Submission of watcher information drafts to IESG for publication as 
Proposed Standards
Done Submission of proposed event list mechanism to the SIP working group 
Done Submission of requirements for event publishing to the IESG for
publication as Proposed Standard
Done Submission of proposed mechanism for event publishing to the SIP
working group
Done Submission of SIMPLE PIDF profile to IESG for publication as Proposed 
Standard
Done Submission of base XCAP draft to IESG for publication as Proposed
Standard
Done Submission of indication of instant message preparation using SIP to 
IESG for publication as a Proposed Standard
Done Submission of XCAP usage for manipulation of presence document
content
Done Submission of XCAP usage for setting presence authorization to IESG 
for publication as Proposed Standard
Done Submission of Filtering mechanisms to IESG for publication as a
Proposed Standard
Done Submission of instant messaging session draft to IESG for publication 
as a Proposed Standard
Done Submission of instant messaging session relay drafts to IESG for
publication as Proposed Standards
Done Submission of Partial Notification mechanism to IESG for publication 
as a Proposed Standard
Feb 2007 Submission of an Instant Message Disposition Notification
mechanism to the IESG for publication as a Proposed Standard
Feb 2007 Submission of XCAP event package to IESG or appropriate working 
group targeting publication as Proposed Standard
Feb 2007 Submission of proposed mechanisms meeting the advanced messaging 
requirements to the IESG or appropriate working group
Mar 2007 Submission of a performance and scalability analysis of the
SIMPLE presence mechanisms to the IESG for publication as Informational
Jun 2007 Submission of SIMPLE protocol annotated overview draft to IESG
for publication as Informational
Aug 2007 Submission of proposed mechanisms for initiating and managing
Instant Message group chat to the IESG for publication as Proposed
Standard
Aug 2007 Conclusion of SIMPLE

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

--=_alternative 004D8144C2257274_=
Content-Type: text/html; charset="US-ASCII"

<br><tt><font size=2>Regarding:</font></tt>
<br>
<br><tt><font size=2>Mar 2007 Submission of a performance and scalability
analysis of the<br>
SIMPLE presence mechanisms to the IESG for publication as Informational</font></tt>
<br>
<br><tt><font size=2>Assuming that we will find things that need to be
improved in e.g. 3265</font></tt>
<br><tt><font size=2>what will be the mechanism for the improvements? Via
SIP WG?</font></tt>
<br><font size=2 face="sans-serif"><br>
--Avshalom<br>
</font>
<br>
<br>
<br>on of presence document<br>
content<br>
Done Submission of XCAP usage for setting presence authorization to IESG
for publication as Proposed Standard<br>
Done Submission of Filtering mechanisms to IESG for publication as a<br>
Proposed Standard<br>
Done Submission of instant messaging session draft to IESG for publication
as a Proposed Standard<br>
Done Submission of instant messaging session relay drafts to IESG for<br>
publication as Proposed Standards<br>
Done Submission of Partial Notification mechanism to IESG for publication
as a Proposed Standard<br>
Feb 2007 Submission of an Instant Message Disposition Notification<br>
mechanism to the IESG for publication as a Proposed Standard<br>
Feb 2007 Submission of XCAP event package to IESG or appropriate working
group targeting publication as Proposed Standard<br>
Feb 2007 Submission of proposed mechanisms meeting the advanced messaging
requirements to the IESG or appropriate working group<br>
Mar 2007 Submission of a performance and scalability analysis of the<br>
SIMPLE presence mechanisms to the IESG for publication as Informational<br>
Jun 2007 Submission of SIMPLE protocol annotated overview draft to IESG<br>
for publication as Informational<br>
Aug 2007 Submission of proposed mechanisms for initiating and managing<br>
Instant Message group chat to the IESG for publication as Proposed<br>
Standard<br>
Aug 2007 Conclusion of SIMPLE<br>
<br>
_______________________________________________<br>
Simple mailing list<br>
[email-masked]<br>
https://www1.ietf.org/mailman/listinfo/simple<br>
</font></tt>
<br>
--=_alternative 0048768CC2257274_=--

--===============1004551699==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

--===============1004551699==--

---

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Wed, 31 Jan 2007 15:35:48 +0100

If it updates RFC 3265 then the SIP WG needs to do it. There is a well
understood mechanism of providing requirements to the SIP WG to do this.
 
If it is an extension (i.e. extending RFC 3265 rather than updating it
with corrections), then RFC 3427 applies. In general this also means
that the SIP WG will do it, but if for example it is just a
uri-parameter or some such, then other groups could well do it. Again
there is a well understood mechanism of providing requirements to the
SIP WG to do this.

Keith

________________________________

	From: Avshalom Houri [mailto:[email-masked]] 
	Sent: 31 January 2007 14:05
	To: [email-masked]
	Subject: Re: [Simple] (Performance) Internal WG Review:
Recharter of SIP forInstant Messaging and Presence Leveraging Extensions
(simple)

	Regarding: 
	
	Mar 2007 Submission of a performance and scalability analysis of
the
	SIMPLE presence mechanisms to the IESG for publication as
Informational 
	
	Assuming that we will find things that need to be improved in
e.g. 3265 
	what will be the mechanism for the improvements? Via SIP WG? 
	
	--Avshalom

	

30/01/2007 23:33 

To

	A new charter for the SIP for Instant Messaging and Presence
Leveraging
	Extensions (simple) working group in the Real-time Applications
and
	Infrastructure Area of the IETF is being considered. The draft
charter 
	is provided below for your review and comment.
	
	Review time is one week.
	
	The IETF Secretariat
	
	+++
	
	SIP for Instant Messaging and Presence Leveraging Extensions
(simple)

	Last Modified: 2007-1-24

	Chair(s):

	
	Technical Advisor(s):
	
	Mailing Lists:

	This working group focuses on the application of the Session
Initiation
	Protocol (SIP, RFC 3261) to the suite of services collectively
known as
	instant messaging and presence (IMP). The IETF has committed to 
	producing an interoperable standard for these services compliant
to 
	the requirements for IM outlined in RFC 2779 (including the
security 
	and privacy requirements there) and in the Common Presence and
Instant 
	Messaging (CPIM) specification, developed within the IMPP
working 
	group. As the most common services for which SIP is used share
quite a 
	bit in common with IMP, the adaptation of SIP to IMP seems a
natural 
	choice given the widespread support for (and relative maturity
of) the
	SIP standard.
	
	This group has completed the majority of its primary goals and
will 
	focus on the remaining tasks documented here and concluding. Any

	proposed new work should be socialized with the chairs and AD
early to 
	determine if this WG is an appropriate venue.

	1. The MSRP proposed standard mechanism for transporting
sessions of
	messages initiated using the SIP, compliant to the requirments
of RFC 
	2779, CPIM and BCP 41.
	
	2. The XCAP framework for representing and carrying
configuration and
	policy information in SIMPLE systems.
	
	3. A mechanism for representing partial changes (patches) to XML
	documents and extensions to the SIMPLE publication and
notification 
	mechanisms to convey these partial changes.
	
	4. A mechanism for initiating and managing Instant Message group
chat.
	
	5. An annotated overview of the SIMPLE protocol definition
documents.
	
	Any SIP extensions proposed in the course of this development
will, 
	after a last call process, be transferred to the SIP WG for 
	consideration as formal SIP extensions.
	
	Any mechanisms created for managing Instant Message group chat
are
	intended to provide a bridge to the conferencing protocols that
will 
	be defined in XCON. They will be limited in scope to address
only 
	simple Instant Message chat with nicknames and will not attempt
	to address complex conferencing concepts such as sidebars. Their

	design must anticipate operating in conjunction with the
conferencing 
	protocols XCON is working towards.
	
	The working group will work within the framework for presence
and IM
	described in RFC 2778. The extensions it defines must also be 
	compliant with the SIP processes for extensions. The group
cannot 
	modify baseline SIP behavior or define a new version of SIP for
IM and 
	presence. If the group determines that any capabilities
requiring an 
	extension to SIP are needed, the group will seek to define such
	extensions within the SIP working group, and then use them here.
	
	Goals and Milestones:
	Done Submission of event package for presence to IESG for
publication as Proposed Standard
	Done Submission of watcher information drafts to IESG for
publication as Proposed Standards
	Done Submission of proposed event list mechanism to the SIP
working group 
	Done Submission of requirements for event publishing to the IESG
for
	publication as Proposed Standard
	Done Submission of proposed mechanism for event publishing to
the SIP
	working group
	Done Submission of SIMPLE PIDF profile to IESG for publication
as Proposed Standard
	Done Submission of base XCAP draft to IESG for publication as
Proposed
	Standard
	Done Submission of indication of instant message preparation
using SIP to IESG for publication as a Proposed Standard
	Done Submission of XCAP usage for manipulation of presence
document
	content
	Done Submission of XCAP usage for setting presence authorization
to IESG for publication as Proposed Standard
	Done Submission of Filtering mechanisms to IESG for publication
as a
	Proposed Standard
	Done Submission of instant messaging session draft to IESG for
publication as a Proposed Standard
	Done Submission of instant messaging session relay drafts to
IESG for
	publication as Proposed Standards
	Done Submission of Partial Notification mechanism to IESG for
publication as a Proposed Standard
	Feb 2007 Submission of an Instant Message Disposition
Notification
	mechanism to the IESG for publication as a Proposed Standard
	Feb 2007 Submission of XCAP event package to IESG or appropriate
working group targeting publication as Proposed Standard
	Feb 2007 Submission of proposed mechanisms meeting the advanced
messaging requirements to the IESG or appropriate working group
	Mar 2007 Submission of a performance and scalability analysis of
the
	SIMPLE presence mechanisms to the IESG for publication as
Informational
	Jun 2007 Submission of SIMPLE protocol annotated overview draft
to IESG
	for publication as Informational
	Aug 2007 Submission of proposed mechanisms for initiating and
managing
	Instant Message group chat to the IESG for publication as
Proposed
	Standard
	Aug 2007 Conclusion of SIMPLE